Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI.TrackListener

    java.lang.Object
      javax.swing.event.MouseInputAdapter
          javax.swing.plaf.basic.BasicSliderUI.TrackListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, EventListener, MouseInputListener

Enclosing class:
  BasicSliderUI

    public class BasicSliderUI.TrackListener

extends MouseInputAdapter

Track mouse movements. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Field Summary
`protected int` | `currentMouseX`
`protected int` | `currentMouseY`
`protected int` | `offset`

Constructor Summary
`BasicSliderUI.TrackListener()`

Method Summary
`void` | `mouseDragged(MouseEvent e)` Set the models value to the position of the top/left of the thumb relative to the origin of the track.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
`void` | `mousePressed(MouseEvent e)` If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.
`boolean` | `shouldScroll(int direction)`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offset

    protected transient int offset

### currentMouseX

    protected transient int currentMouseX

### currentMouseY

    protected transient int currentMouseY

Constructor Detail

### BasicSliderUI.TrackListener

    public BasicSliderUI.TrackListener()

Method Detail

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseInputAdapter`

### mousePressed

    public void mousePressed(MouseEvent e)

  If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page. If there is no thumb then page up if the mouse is in the upper half of the track.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseInputAdapter`

### shouldScroll

    public boolean shouldScroll(int direction)

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Set the models value to the position of the top/left of the thumb relative to the origin of the track.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `MouseInputAdapter`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`
  Overrides:
    `mouseMoved` in class `MouseInputAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.